org.eclipse.modisco.eclipseplugin.discoverer

## Class Activator

- java.lang.Object
- - AbstractUIPlugin
  - - org.eclipse.modisco.eclipseplugin.discoverer.Activator

Deprecated.
Will become internal cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470609

    @Deprecated
    public class Activator
    extends AbstractUIPlugin

The activator class controls the plug-in life cycle

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`Activator()` Deprecated. The constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static Activator` `getDefault()` Deprecated. Returns the shared instance
`void` `start(BundleContext context)` Deprecated.
`void` `stop(BundleContext context)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

Deprecated.
The constructor

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Deprecated.

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Deprecated.

Throws:
  `java.lang.Exception`

#### getDefault

    public static Activator getDefault()

Deprecated.
Returns the shared instance

Returns:
  the shared instance